<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ page import="com.crystaldecisions.ePortfolio.framework.common.UserSettings,
                                  com.crystaldecisions.webapp.CEConstants,
                                  java.util.Locale,
                                  com.crystaldecisions.webapp.util.html.Encoder" %>

<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri='/WEB-INF/c.tld' prefix='c' %>
<%@ taglib uri='/WEB-INF/fmt.tld' prefix='fmt' %>
<%@ taglib uri="/WEB-INF/cetaglib.tld" prefix="ce" %>

<%-- Use browser locale because user is not logged on --%>
<%  pageContext.setAttribute("browserLocale", UserSettings.getBrowserLocale(request)); %>    
<fmt:setLocale value="${browserLocale}"/>

<% String context = "../.."; %>

<fmt:bundle basename="com.crystaldecisions.ePortfolio.ApplicationResources">

<c:if test="${empty logonPath}">
    <c:set var="logonPath" value="/InfoView/logon/logon" scope="request"/>
</c:if>
<ce:ceForm contextPath="<%= context %>" action='<%=pageContext.findAttribute("logonPath").toString()%>'>

<html:hidden property="qryStr" value="<%= request.getQueryString() %>"/>

<html:hidden property="cmsVisible"/>
<c:if test="${!logonForm.cmsVisible}">
<html:hidden property="cms"/>
</c:if>
<html:hidden property="authenticationVisible"/>
<c:if test="${!logonForm.authenticationVisible}">
<html:hidden property="authType"/>
</c:if>

<%-- see if the form is being directed here by an IdentityAwareAction --%>
<jsp:useBean id="logonForm" class="com.crystaldecisions.ePortfolio.framework.logon.LogonForm" scope="request"/>
<c:if test="${empty logonForm.referer}">
    <jsp:setProperty name="logonForm" property="referer" value="<%=(String)request.getAttribute(CEConstants.REQUEST_ACTION)%>"/>
</c:if>
<c:if test="${empty logonForm.refererFormData}">
    <jsp:setProperty name="logonForm" property="refererFormData" value="<%=(String)request.getAttribute(CEConstants.REQUEST_ACTION_FORM)%>"/>
</c:if>
<html:hidden property="referer"/>
<html:hidden property="refererFormData"/>
<html:hidden property="isFromLogonPage" value="true"/>

<script language='javascript'>
  function keydownfn(e) {
	  if (e.keyCode == 13) {
   		  document.forms['logonForm'].submit();
		  }
		  return true;
	  }
	
<c:if test="${logonForm.replaceUrl!=null && logonForm.replaceUrl != ''}">
    window.location.replace('<%= Encoder.encodeJS(context + logonForm.getReplaceUrl() )%>');    
</c:if>
</script>
	

<%-- input boxes --%>	
			
	<table class = "centered" cellpadding="0" cellspacing="0">

	    <tr>
			<td class="list" >
	
			<table cellpadding='0' cellspacing='0'>
			
		<c:if test="${logonForm.cmsVisible}">
		<tr>
			<td class="list" valign="top" nowrap>
			  <label for="apsTextEdit" tabIndex=-1>
				<fmt:message key="logon.prompt.aps"/>:
			  </label>
			</td>
			<td align="left">
			  <c:choose>
			    <c:when test="${logonForm.afInstalled}">
			      <%-- if af is installed disable the CMS edit box --%>
			      <html:text disabled="true" styleClass="textfield" property="cms" style="width:75px" styleId="apsTextEdit" onkeydown="keydownfn(event)"/>
			    </c:when>
			    <c:otherwise>
			      <html:text styleClass="textfield" property="cms" style="width:75px" styleId="apsTextEdit" onkeydown="keydownfn(event)"/>
			    </c:otherwise>
			  </c:choose>
			</td>
		</tr>
		</c:if>

		<tr>
			<td class="list" valign="top" nowrap>
			  <label for="usernameTextEdit" tabIndex=-1>
				<fmt:message key="logon.prompt.username"/>:
			  </label>
			</td>
			<td align="left">
			  <html:text styleClass="textfield" property="username" style="width:90px" styleId="usernameTextEdit" onkeydown="keydownfn(event)"/>
			</td>
		</tr>

		<tr>
			<td class="list" valign="top" nowrap>
			  <label for="passwordTextEdit" tabIndex=-1>
				<fmt:message key="logon.prompt.password"/>:
			  </label>
			</td>
		<td align="left">
		  <html:password styleClass="textfield" property="password" style="width:90px" styleId="passwordTextEdit" onkeydown="keydownfn(event)" redisplay="false"/>
		</td>
		</tr>

		<c:if test="${logonForm.authenticationVisible}">
		<tr>
			<td class="list" valign="top" nowrap>
			  <label for="authenticationSelectBox" tabIndex=-1>
				<fmt:message key="logon.prompt.authentication"/>:
			  </label>
			</td>
			<td align="left">
			  <html:select property="authType" styleId="authenticationSelectBox" style="width:75px">
				<c:choose>
					<c:when test="${ !empty authList }">
						<c:forEach var="authType" items="${authList}">
							<c:choose>
							<c:when test="${logonForm.authType==authType.progId}">
								<OPTION selected value='<c:out value="${authType.progId}"/>'>
									<c:out value="${authType.name}"/>
							</c:when>
							<c:otherwise>
								<OPTION value='<c:out value="${authType.progId}"/>'>
									<c:out value="${authType.name}"/>
							</c:otherwise>
							</c:choose>
						</c:forEach>
					</c:when>
				</c:choose>
			  </html:select>
			</td>
		</tr>
		</c:if>

		<tr>
			<td>&nbsp;</td>
			<td>
				<table cellpadding="0" border="0">
				<tr>
					<td class="clsButton" nowrap><div class="clsButton">
					<a href="javascript:document.forms['logonForm'].submit();">
						<fmt:message key="logon.button.logon"/>
					</a>
					</div></td>
				</tr>
				</table>
			</td>
		</tr>

		</table>
    </td>
	
	    
	    
	  </tr>

</table>
	
<%-- end of input boxes --%>	
</ce:ceForm>
</fmt:bundle>